List a product's lots
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/lots \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/lots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": 123,
"rfqId": 123,
"lotNumber": "<string>",
"manufacturerCode": "<string>",
"originalQuantity": 123,
"productionDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}Lots
List a product's lots
Returns all lots for a product, newest first. Soft-deleted lots are excluded. A product with no lots — including an unknown product ID — returns an empty list.
GET
/
products
/
{productId}
/
lots
List a product's lots
⌘I